<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import FilterMarket from "@/Components/Filters/FilterMarket.vue";
import ItemMarket from "@/Components/Items/Market/ItemMarket.vue";
import {Head, useForm} from "@inertiajs/vue3";
import {ref, watch} from "vue";
import {UseAppStore} from "@/Stores/AppStore";
import Pagination from "@/Components/Pagination.vue";
import {UseSortingPrice} from "@/Stores/SortingPriceStore";
import axios from "axios";
const appStore = UseAppStore();

const props = defineProps({
    'items':Object,
    'game':Object,
    'category':Object,
    'filters':Object,
});

const lots = ref(props.items.data)
const links = ref(props.items.meta)
const store = UseSortingPrice();

watch(
    () => store.sortPosition,
    (v) => {
        axios.get(route('market',{game:props.game.id,category:props.category.id}))
            .then((res) => {
        });
    }
)

const form = useForm({
    price: [],
});

const submit = async(val) => {
    // form.price = val;
    // form.get(route('market',{game:props.game}), {
    //     preserveScroll: true
    // });
    axios.get(route('market',{game:props.game.id,category:props.category.id}), {
        params: {
            price:val,
        }
    }).then(function (response) {
            console.log(response.data);
            lots.value = response.data.data
            links.value = response.data.meta
        })
        .catch(function (error) {
            console.log(error);
        })
}

const nextPage = (nextPage) => {

    if (nextPage) {
        axios.get(nextPage).then((response) => {
            lots.value = response.data.data
            links.value = response.data.meta
        });
    }
};

</script>
<style>
.marketTop__left-text{
    margin-left: 20px;
}
</style>
<template>
    <AuthenticatedLayout :marketTopLeftTitle="game.name">
        <Head title="Маркет"/>
        <FilterMarket @submitFilter="submit" :filters="filters"  :game="game" />
        <div ref="scrollComponent" class="marketBottom__innerMarket marketBottom__right">
            <item-market
                v-for="item in lots"
                :key="item.id"
                :item="item"
                :game="game"
                :category="category"
            />
<!--            <pagination @nextPage="nextPage" :links="links"  />-->
        </div>
    </AuthenticatedLayout>
</template>


